<?php
/**
* Footer Settings.
*
* @package Agriculture Farm Lite
*/

$agriculture_farm_lite_default = agriculture_farm_lite_get_default_theme_options();

$wp_customize->add_section( 'agriculture_farm_lite_footer_widget_area',
	array(
	'title'      => esc_html__( 'Footer Settings', 'agriculture-farm-lite' ),
	'priority'   => 200,
	'capability' => 'edit_theme_options',
	'panel'      => 'agriculture_farm_lite_theme_option_panel',
	)
);

$wp_customize->add_setting('agriculture_farm_lite_display_footer',
    array(
        'default' => $agriculture_farm_lite_default['agriculture_farm_lite_display_footer'],
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'agriculture_farm_lite_sanitize_checkbox',
    )
);
$wp_customize->add_control('agriculture_farm_lite_display_footer',
    array(
        'label' => esc_html__('Enable Footer', 'agriculture-farm-lite'),
        'section' => 'agriculture_farm_lite_footer_widget_area',
        'type' => 'checkbox',
    )
);

$wp_customize->add_setting( 'agriculture_farm_lite_footer_column_layout',
	array(
	'default'           => $agriculture_farm_lite_default['agriculture_farm_lite_footer_column_layout'],
	'capability'        => 'edit_theme_options',
	'sanitize_callback' => 'agriculture_farm_lite_sanitize_select',
	)
);
$wp_customize->add_control( 'agriculture_farm_lite_footer_column_layout',
	array(
	'label'       => esc_html__( 'Footer Column Layout', 'agriculture-farm-lite' ),
	'section'     => 'agriculture_farm_lite_footer_widget_area',
	'type'        => 'select',
	'choices'               => array(
		'1' => esc_html__( 'One Column', 'agriculture-farm-lite' ),
		'2' => esc_html__( 'Two Column', 'agriculture-farm-lite' ),
		'3' => esc_html__( 'Three Column', 'agriculture-farm-lite' ),
	    ),
	)
);

$wp_customize->add_setting( 'agriculture_farm_lite_footer_copyright_text',
	array(
	'default'           => $agriculture_farm_lite_default['agriculture_farm_lite_footer_copyright_text'],
	'capability'        => 'edit_theme_options',
	'sanitize_callback' => 'sanitize_text_field',
	)
);
$wp_customize->add_control( 'agriculture_farm_lite_footer_copyright_text',
	array(
	'label'    => esc_html__( 'Footer Copyright Text', 'agriculture-farm-lite' ),
	'section'  => 'agriculture_farm_lite_footer_widget_area',
	'type'     => 'text',
	)
);

$wp_customize->add_setting('agriculture_farm_lite_copyright_font_size',
    array(
        'default'           => $agriculture_farm_lite_default['agriculture_farm_lite_copyright_font_size'],
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'agriculture_farm_lite_sanitize_number_range',
    )
);
$wp_customize->add_control('agriculture_farm_lite_copyright_font_size',
    array(
        'label'       => esc_html__('Copyright Font Size', 'agriculture-farm-lite'),
        'section'     => 'agriculture_farm_lite_footer_widget_area',
        'type'        => 'number',
        'input_attrs' => array(
           'min'   => 5,
           'max'   => 30,
           'step'   => 1,
    	),
    )
);

$wp_customize->add_setting( 'agriculture_farm_lite_copyright_alignment', array(
    'default'           => 'Default',
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'agriculture_farm_lite_sanitize_copyright_alignment_meta',
) );

$wp_customize->add_control( 'agriculture_farm_lite_copyright_alignment', array(
    'label'    => esc_html__( 'Copyright Section Alignment', 'agriculture-farm-lite' ),
    'section'  => 'agriculture_farm_lite_footer_widget_area',
    'type'     => 'select',
    'choices'  => array(
        'Default' => esc_html__( 'Default View', 'agriculture-farm-lite' ),
        'Reverse' => esc_html__( 'Reverse View', 'agriculture-farm-lite' ),
        'Center'  => esc_html__( 'Centered Content', 'agriculture-farm-lite' ),
    ),
) );

$wp_customize->add_setting( 'agriculture_farm_lite_footer_widget_background_color', array(
    'default' => '',
    'sanitize_callback' => 'sanitize_hex_color'
));
$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'agriculture_farm_lite_footer_widget_background_color', array(
    'label'     => __('Footer Widget Background Color', 'agriculture-farm-lite'),
    'description' => __('It will change the complete footer widget background color.', 'agriculture-farm-lite'),
    'section' => 'agriculture_farm_lite_footer_widget_area',
    'settings' => 'agriculture_farm_lite_footer_widget_background_color',
)));

$wp_customize->add_setting('agriculture_farm_lite_footer_widget_background_image',array(
    'default'   => '',
    'sanitize_callback' => 'esc_url_raw',
));
$wp_customize->add_control( new WP_Customize_Image_Control($wp_customize,'agriculture_farm_lite_footer_widget_background_image',array(
    'label' => __('Footer Widget Background Image','agriculture-farm-lite'),
    'section' => 'agriculture_farm_lite_footer_widget_area'
)));

$wp_customize->add_setting( 'agriculture_farm_lite_footer_widget_title_alignment',
        array(
        'default'           => $agriculture_farm_lite_default['agriculture_farm_lite_footer_widget_title_alignment'],
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'agriculture_farm_lite_sanitize_footer_widget_title_alignment',
        )
    );
    $wp_customize->add_control( 'agriculture_farm_lite_footer_widget_title_alignment',
        array(
        'label'       => esc_html__( 'Footer Widget Title Alignment', 'agriculture-farm-lite' ),
        'section'     => 'agriculture_farm_lite_footer_widget_area',
        'type'        => 'select',
        'choices'     => array(
            'left' => esc_html__( 'Left', 'agriculture-farm-lite' ),
            'center'  => esc_html__( 'Center', 'agriculture-farm-lite' ),
            'right'    => esc_html__( 'Right', 'agriculture-farm-lite' ),
            ),
        )
    );

$wp_customize->add_setting('agriculture_farm_lite_enable_to_the_top',
    array(
        'default' => $agriculture_farm_lite_default['agriculture_farm_lite_enable_to_the_top'],
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'agriculture_farm_lite_sanitize_checkbox',
    )
);
$wp_customize->add_control('agriculture_farm_lite_enable_to_the_top',
    array(
        'label' => esc_html__('Enable To The Top', 'agriculture-farm-lite'),
        'section' => 'agriculture_farm_lite_footer_widget_area',
        'type' => 'checkbox',
    )
);

$wp_customize->add_setting( 'agriculture_farm_lite_to_the_top_text',
    array(
    'default'           => $agriculture_farm_lite_default['agriculture_farm_lite_to_the_top_text'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'agriculture_farm_lite_to_the_top_text',
    array(
    'label'    => esc_html__( 'Edit Text Here', 'agriculture-farm-lite' ),
    'section'  => 'agriculture_farm_lite_footer_widget_area',
    'type'     => 'text',
    )
);